import request from '@/utils/request'

// 查询医生操作日志记录列表
export function listDoctorOperLog(query) {
  return request({
    url: '/his/doctorOperLog/list',
    method: 'get',
    params: query
  })
}

// 查询医生操作日志记录详细
export function getDoctorOperLog(operId) {
  return request({
    url: '/his/doctorOperLog/' + operId,
    method: 'get'
  })
}

// 新增医生操作日志记录
export function addDoctorOperLog(data) {
  return request({
    url: '/his/doctorOperLog',
    method: 'post',
    data: data
  })
}

// 修改医生操作日志记录
export function updateDoctorOperLog(data) {
  return request({
    url: '/his/doctorOperLog',
    method: 'put',
    data: data
  })
}

// 删除医生操作日志记录
export function delDoctorOperLog(operId) {
  return request({
    url: '/his/doctorOperLog/' + operId,
    method: 'delete'
  })
}

// 导出医生操作日志记录
export function exportDoctorOperLog(query) {
  return request({
    url: '/his/doctorOperLog/export',
    method: 'get',
    params: query
  })
}